Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-7.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/master-7.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-7.dot
@@ -13,9 +13,17 @@ digraph "g" {
 "child_DoFencing:0_stop_0 c001n01" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_stop_0 c001n01" [ style=bold color="green" fontcolor="orange" ]
+"child_DoFencing:2_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n08" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "group-1_running_0" [ style=bold color="green" fontcolor="orange" ]
 "group-1_start_0" -> "group-1_running_0" [ style = bold]
@@ -80,17 +88,35 @@ digraph "g" {
 "ocf_msdummy:0_stop_0 c001n01" -> "all_stopped" [ style = bold]
 "ocf_msdummy:0_stop_0 c001n01" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:0_stop_0 c001n01" [ style=bold color="green" fontcolor="orange" ]
+"ocf_msdummy:4_monitor_0 c001n02" -> "all_stopped" [ style = bold]
+"ocf_msdummy:4_monitor_0 c001n02" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:4_monitor_0 c001n03" -> "all_stopped" [ style = bold]
+"ocf_msdummy:4_monitor_0 c001n03" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:4_monitor_0 c001n08" -> "all_stopped" [ style = bold]
+"ocf_msdummy:4_monitor_0 c001n08" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
 "ocf_msdummy:4_stop_0 c001n01" -> "all_stopped" [ style = bold]
 "ocf_msdummy:4_stop_0 c001n01" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:4_stop_0 c001n01" [ style=bold color="green" fontcolor="orange" ]
+"ocf_msdummy:5_monitor_0 c001n02" -> "all_stopped" [ style = bold]
+"ocf_msdummy:5_monitor_0 c001n02" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:5_monitor_0 c001n08" -> "all_stopped" [ style = bold]
+"ocf_msdummy:5_monitor_0 c001n08" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:6_monitor_0 c001n03" -> "all_stopped" [ style = bold]
+"ocf_msdummy:6_monitor_0 c001n03" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:6_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:6_monitor_0 c001n08" -> "all_stopped" [ style = bold]
+"ocf_msdummy:6_monitor_0 c001n08" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:6_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:7_monitor_0 c001n02" -> "all_stopped" [ style = bold]
+"ocf_msdummy:7_monitor_0 c001n02" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:7_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:7_monitor_0 c001n03" -> "all_stopped" [ style = bold]
+"ocf_msdummy:7_monitor_0 c001n03" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:7_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_monitor_5000 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_start_0 c001n03" -> "rsc_c001n01_monitor_5000 c001n03" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-7.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/master-7.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-7.exp
@@ -393,6 +393,18 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="60" operation="stop" operation_key="child_DoFencing:0_stop_0"/>
       </trigger>
       <trigger>
@@ -572,6 +584,33 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="72" operation="stop" operation_key="ocf_msdummy:0_stop_0"/>
       </trigger>
       <trigger>
@@ -617,6 +656,45 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="32" operation="stop" operation_key="DcIPaddr_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-8.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/master-8.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-8.dot
@@ -13,9 +13,17 @@ digraph "g" {
 "child_DoFencing:0_stop_0 c001n01" -> "DoFencing_stopped_0" [ style = bold]
 "child_DoFencing:0_stop_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:0_stop_0 c001n01" [ style=bold color="green" fontcolor="orange" ]
+"child_DoFencing:2_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n08" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:2_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n02" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n03" -> "DoFencing_stopped_0" [ style = bold]
+"child_DoFencing:3_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "group-1_running_0" [ style=bold color="green" fontcolor="orange" ]
 "group-1_start_0" -> "group-1_running_0" [ style = bold]
@@ -91,25 +99,45 @@ digraph "g" {
 "ocf_msdummy:0_stop_0 c001n01" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:0_stop_0 c001n01" -> "ocf_msdummy:0_start_0 c001n03" [ style = bold]
 "ocf_msdummy:0_stop_0 c001n01" [ style=bold color="green" fontcolor="orange" ]
+"ocf_msdummy:4_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n02" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:4_monitor_0 c001n02" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:4_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n03" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:4_monitor_0 c001n03" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:4_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n08" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:4_monitor_0 c001n08" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:4_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:5_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n02" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:5_monitor_0 c001n02" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:5_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n03" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:5_monitor_0 c001n03" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:5_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n08" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:5_monitor_0 c001n08" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:5_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:6_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "ocf_msdummy:6_monitor_0 c001n03" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:6_monitor_0 c001n03" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:6_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:6_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "ocf_msdummy:6_monitor_0 c001n08" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:6_monitor_0 c001n08" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:6_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:7_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "ocf_msdummy:7_monitor_0 c001n02" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:7_monitor_0 c001n02" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:7_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"ocf_msdummy:7_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "ocf_msdummy:7_monitor_0 c001n03" -> "master_rsc_1_start_0" [ style = bold]
+"ocf_msdummy:7_monitor_0 c001n03" -> "master_rsc_1_stopped_0" [ style = bold]
 "ocf_msdummy:7_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_monitor_5000 c001n03" [ style=bold color="green" fontcolor="black" ]
 "rsc_c001n01_start_0 c001n03" -> "rsc_c001n01_monitor_5000 c001n03" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-8.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/master-8.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/master-8.exp
@@ -393,6 +393,18 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="60" operation="stop" operation_key="child_DoFencing:0_stop_0"/>
       </trigger>
       <trigger>
@@ -601,6 +613,36 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="72" operation="stop" operation_key="ocf_msdummy:0_stop_0"/>
       </trigger>
       <trigger>
@@ -703,6 +745,48 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="ocf_msdummy:7_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="ocf_msdummy:4_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="ocf_msdummy:5_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="ocf_msdummy:6_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="32" operation="stop" operation_key="DcIPaddr_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-0.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/notify-0.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-0.dot
@@ -1,5 +1,6 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node1" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_start_0 node1" -> "rsc1_running_0" [ style = bold]
@@ -7,6 +8,8 @@
 "child_rsc2:0_stop_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:0_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node1" -> "all_stopped" [ style = bold]
+"child_rsc2:1_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_running_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_start_0" -> "child_rsc1:1_start_0 node1" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/notify-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-1.dot
@@ -4,6 +4,7 @@
 "child_rsc1:0_post_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:0_pre_notify_start_0 node1" -> "rsc1_confirmed-pre_notify_start_0" [ style = bold]
 "child_rsc1:0_pre_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node1" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_post_notify_start_0 node1" -> "rsc1_confirmed-post_notify_running_0" [ style = bold]
@@ -15,6 +16,8 @@
 "child_rsc2:0_stop_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:0_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node1" -> "all_stopped" [ style = bold]
+"child_rsc2:1_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_confirmed-post_notify_running_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_confirmed-pre_notify_start_0" -> "rsc1_post_notify_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/notify-2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-2.dot
@@ -4,6 +4,7 @@
 "child_rsc1:0_post_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:0_pre_notify_start_0 node1" -> "rsc1_confirmed-pre_notify_start_0" [ style = bold]
 "child_rsc1:0_pre_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node1" -> "rsc1_start_0" [ style = bold]
 "child_rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_post_notify_start_0 node1" -> "rsc1_confirmed-post_notify_running_0" [ style = bold]
@@ -15,6 +16,8 @@
 "child_rsc2:0_stop_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:0_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node1" -> "all_stopped" [ style = bold]
+"child_rsc2:1_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "rsc1_confirmed-post_notify_running_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_confirmed-pre_notify_start_0" -> "rsc1_post_notify_running_0" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-3.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/notify-3.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/notify-3.dot
@@ -1,6 +1,8 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange" ]
+"child_rsc1:0_monitor_0 node2" -> "all_stopped" [ style = bold]
 "child_rsc1:0_monitor_0 node2" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:0_monitor_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:0_post_notify_start_0 node1" -> "rsc1_confirmed-post_notify_running_0" [ style = bold]
 "child_rsc1:0_post_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -10,7 +12,9 @@
 "child_rsc1:0_pre_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:0_pre_notify_stop_0 node1" -> "rsc1_confirmed-pre_notify_stop_0" [ style = bold]
 "child_rsc1:0_pre_notify_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc1:1_monitor_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc1:1_monitor_0 node1" -> "rsc1_start_0" [ style = bold]
+"child_rsc1:1_monitor_0 node1" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc1:1_post_notify_start_0 node1" -> "rsc1_confirmed-post_notify_running_0" [ style = bold]
 "child_rsc1:1_post_notify_start_0 node1" [ style=bold color="green" fontcolor="black" ]
@@ -22,13 +26,19 @@
 "child_rsc1:1_stop_0 node2" -> "child_rsc1:1_start_0 node1" [ style = bold]
 "child_rsc1:1_stop_0 node2" -> "rsc1_stopped_0" [ style = bold]
 "child_rsc1:1_stop_0 node2" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:0_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc2:0_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:0_pre_notify_stop_0 node1" -> "rsc2_confirmed-pre_notify_stop_0" [ style = bold]
 "child_rsc2:0_pre_notify_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
 "child_rsc2:0_stop_0 node1" -> "all_stopped" [ style = bold]
 "child_rsc2:0_stop_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:0_stop_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node1" -> "all_stopped" [ style = bold]
+"child_rsc2:1_monitor_0 node1" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node1" [ style=bold color="green" fontcolor="black" ]
+"child_rsc2:1_monitor_0 node2" -> "all_stopped" [ style = bold]
+"child_rsc2:1_monitor_0 node2" -> "rsc2_stopped_0" [ style = bold]
 "child_rsc2:1_monitor_0 node2" [ style=bold color="green" fontcolor="black" ]
 "rsc1_confirmed-post_notify_running_0" [ style=bold color="green" fontcolor="orange" ]
 "rsc1_confirmed-post_notify_stopped_0" -> "all_stopped" [ style = bold]
